PETSc version 3.15.5
Fix/Edit manual page

# KSPSetComputeRHS

set routine to compute the right hand side of the linear system

### Synopsis

    #include "petscksp.h"
    #include "petscmat.h"
    PetscErrorCode KSPSetComputeRHS(KSP ksp,PetscErrorCode (*func)(KSP,Vec,void*),void *ctx)

Logically Collective

### Input Arguments

| ksp | - the KSP context
| func | - function to compute the right hand side
| ctx | - optional context

### Calling sequence of func

     func(KSP ksp,Vec b,void *ctx)

| ksp | - the KSP context
| b | - right hand side of linear system
| ctx | - optional user-provided context

### Notes

The routine you provide will be called EACH you call KSPSolve() to prepare the new right hand side for that solve

### See Also

KSPSolve(), DMKSPSetComputeRHS(), KSPSetComputeOperators()

### Level

beginner

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/tutorials/ex25.c.html
src/ksp/ksp/tutorials/ex28.c.html
src/ksp/ksp/tutorials/ex29.c.html
src/ksp/ksp/tutorials/ex32.c.html
src/ksp/ksp/tutorials/ex34.c.html
src/ksp/ksp/tutorials/ex45.c.html
src/ksp/ksp/tutorials/ex50.c.html
src/ksp/ksp/tutorials/ex65.c.html
src/ksp/ksp/tutorials/ex66.c.html
src/ksp/ksp/tutorials/ex22f.F90.html
src/ksp/ksp/tutorials/ex45f.F90.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages